There was an error updating the certificate: Please install ipset package


(United States) #1

Hello everyone

i am having an issue while updating the certificate

every time i am trying to update the certificate i am getting this message

There was an error updating the certificate: Please install ipset package

any help will be appreciated


(Lorne Gaetz) #2

(Jared Busch) #3

Except I have a FreePBX 15 system fully up to date that says ipset is not installed.

[jbusch@pbx ~]$ sudo fwconsole certificates --updateall
There was an error updating certificate "pbx.domain.com": Please install ipset package And Restart the Firewall to continue

#4

Running the following via SSH fixed the problem

yum install ipset -y

@sorvani It doesn’t matter that you have a fully updated systems… This is FreePBX after all.


(Jared Busch) #5

Yes it does. Because the text of the linked post clearly states that this is something that is supposed to be install by default on FreePBX 12+… Obviously that statement is incorrect.


#6

@sorvani What I am telling you is it’s not entirely uncommon for FreePBX updates to break things that were previously working before.

I’ve had to install edge updates or manually install things like ipset, which was required to fix my Certificate Renewal today, after an update to the latest version broke something.

Many times now…